import { QueryConfig } from "../query";
import { Plugin, PluginFactory, PluginPackageManifest, PluginModules } from "@web3api/core-js";
export interface FilesystemPluginConfigs {
    query: QueryConfig;
}
export declare class FilesystemPlugin implements Plugin {
    private _configs;
    constructor(_configs: FilesystemPluginConfigs);
    static manifest(): PluginPackageManifest;
    getModules(): PluginModules;
}
export declare const filesystemPlugin: PluginFactory<FilesystemPluginConfigs>;
export declare const plugin: PluginFactory<FilesystemPluginConfigs>;
